#
# spec file for package python-sphinx-testing
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-sphinx-testing
Version:        0.7.2
Release:        lp151.2.2
Summary:        testing utility classes and functions for Sphinx extensions
License:        BSD-2-Clause
Group:          Development/Languages/Python
Url:            https://github.com/sphinx-doc/sphinx-testing
Source:         https://pypi.io/packages/source/s/sphinx-testing/sphinx-testing-%{version}.tar.gz
BuildRequires:  %{python_module Sphinx}
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module mock}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module six}
BuildRequires:  python-rpm-macros
Requires:       python-Sphinx
Requires:       python-six
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%python_subpackages

%description
sphinx-testing provides testing utility classes and functions for Sphinx extensions.

%prep
%setup -q -n sphinx-testing-%{version}

%build
%python_build

%install
%python_install

%check
%python_exec setup.py test

%files %{python_files}
%defattr(-,root,root,-)
%doc AUTHORS CHANGES.rst LICENSE README.rst
%{python_sitelib}/*

%changelog
* Mon Jul  3 2017 tbechtold@suse.com
- update to 0.7.2:
  * Fix cleanups for Sphinx 1.6
- convert to singlespec
* Mon Sep  5 2016 tbechtold@suse.com
- Initial packaging (version 0.7.1)
